import type { RouteRecordRaw } from 'vue-router'
import AppLayout from '@/components/layout/Index.vue'

export const routes: Array<RouteRecordRaw> = [
  {
    path: '/learn',
    component: AppLayout,
    children: [
      { name: 'learnCourse', path: 'course', component: () => import('./views/Course.vue') },
      { name: 'learnCourseView', path: 'course/:id', component: () => import('./views/CourseView.vue'), props: true },
      { path: 'doc/:id', component: () => import('./views/DocView.vue'), props: true },
      { path: 'publish', component: () => import('./views/Publish.vue'), meta: { requireLogin: true } }
    ]
  }
]
